## org.apache.cocoon.framework
Interface Cacheable

All Known Implementing Classes:
  AbstractFormatter, Page, ProducerFromFile, XSLTProcessor, XSPPage, XSPProcessor, XIncludeProcessor

public interface Cacheable

If a Component does not implement this interface, any requests using this Component will never be cached. Note that AbstractFormatter and XSPPage automatically implement this interface.

Version:
  $Revision: 1.1 $ $Date: 2000/11/20 01:43:54 $
Author:
  Robin Green

Method Summary
`boolean` `isCacheable(javax.servlet.http.HttpServletRequest request)` Returns whether this request is suitable for cacheing.

Method Detail

### isCacheable

    public boolean isCacheable(javax.servlet.http.HttpServletRequest request)

  Returns whether this request is suitable for cacheing.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.